Debian Bug report logs - #580568
/usr/lib/ghc-6.12.1/bin/ghci-6.12.1: ghci :m command doesn't work with module names containing '

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Thu, 6 May 2010 21:15:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/4051

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, jamey@minilop.net, Kari Pahula <kaol@debian.org>:
Bug#580568; Package ghc6. (Thu, 06 May 2010 21:15:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/lib/ghc-6.12.1/bin/ghci-6.12.1: ghci :m command doesn't work with module names containing '
Date: Thu, 06 May 2010 14:14:01 -0700
Package: ghc6
Version: 6.12.1-13
Severity: normal
File: /usr/lib/ghc-6.12.1/bin/ghci-6.12.1

Haskell allows module names containing the apostrophe character (').
GHC handles this just fine (import Mod'ule), and ghci will handle such a
module if specified on the command line, but the :m command considers it
a syntax error.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.4.3-1      The GNU C compiler
ii  libbsd-dev                0.2.0-1        utility functions from BSD systems
ii  libc6                     2.10.2-7       Embedded GNU C Library: Shared lib
ii  libc6-dev                 2.10.2-7       Embedded GNU C Library: Developmen
ii  libffi-dev                3.0.9-2        Foreign Function Interface library
ii  libffi5                   3.0.9-2        Foreign Function Interface library
ii  libgmp3-dev               2:4.3.2+dfsg-1 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.3.2+dfsg-1 Multiprecision arithmetic library
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  perl [perl5]              5.10.1-12      Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
pn  ghc6-doc                      <none>     (no description available)
ii  ghc6-prof                     6.12.1-13  Profiling libraries for the Glasgo
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/ghc/ticket/4051'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 07 May 2010 10:12:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 07 May 2010 10:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#580568; Package ghc6. (Fri, 07 May 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 580568@bugs.debian.org (full text, mbox):

From: "GHC" <cvs-ghc@haskell.org>
Cc: glasgow-haskell-bugs@haskell.org
Subject: [GHC] #4051: ghci :m command doesn't work with module names containing '
Date: Fri, 07 May 2010 10:08:50 -0000
#4051: ghci :m command doesn't work with module names containing '
---------------------------------+------------------------------------------
    Reporter:  nomeata           |       Owner:          
        Type:  bug               |      Status:  new     
    Priority:  normal            |   Component:  Compiler
     Version:  6.12.1            |    Keywords:          
          Os:  Unknown/Multiple  |    Testcase:          
Architecture:  Unknown/Multiple  |     Failure:  Other   
---------------------------------+------------------------------------------
 This bug was filed on the Debian bug tracker at
 http://bugs.debian.org/580568 by Josh Triplett:

 Haskell allows module names containing the apostrophe character ('). GHC
 handles this just fine (import Mod'ule), and ghci will handle such a
 module if specified on the command line, but the :m command considers it a
 syntax error.

-- 
Ticket URL: <http://hackage.haskell.org/trac/ghc/ticket/4051>
GHC <http://www.haskell.org/ghc/>
The Glasgow Haskell Compiler




Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#580568; Package ghc6. (Mon, 10 May 2010 09:57:03 GMT) Full text and rfc822 format available.

Message #13 received at 580568@bugs.debian.org (full text, mbox):

From: "GHC" <cvs-ghc@haskell.org>
Cc: glasgow-haskell-bugs@haskell.org
Subject: Re: [GHC] #4051: ghci :m command doesn't work with module names containing '
Date: Mon, 10 May 2010 09:54:00 -0000
#4051: ghci :m command doesn't work with module names containing '
---------------------------------+------------------------------------------
    Reporter:  nomeata           |        Owner:  simonmar
        Type:  bug               |       Status:  new     
    Priority:  normal            |    Milestone:  6.12.3  
   Component:  Compiler          |      Version:  6.12.1  
    Keywords:                    |   Difficulty:          
          Os:  Unknown/Multiple  |     Testcase:          
Architecture:  Unknown/Multiple  |      Failure:  Other   
---------------------------------+------------------------------------------
Changes (by simonmar):

  * owner:  => simonmar
  * milestone:  => 6.12.3


-- 
Ticket URL: <http://hackage.haskell.org/trac/ghc/ticket/4051#comment:1>
GHC <http://www.haskell.org/ghc/>
The Glasgow Haskell Compiler




Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#580568; Package ghc6. (Tue, 11 May 2010 08:24:03 GMT) Full text and rfc822 format available.

Message #16 received at 580568@bugs.debian.org (full text, mbox):

From: "GHC" <cvs-ghc@haskell.org>
Cc: glasgow-haskell-bugs@haskell.org
Subject: Re: [GHC] #4051: ghci :m command doesn't work with module names containing '
Date: Tue, 11 May 2010 08:22:01 -0000
#4051: ghci :m command doesn't work with module names containing '
---------------------------------+------------------------------------------
    Reporter:  nomeata           |        Owner:  simonmar
        Type:  bug               |       Status:  merge   
    Priority:  normal            |    Milestone:  6.12.3  
   Component:  Compiler          |      Version:  6.12.1  
    Keywords:                    |   Difficulty:          
          Os:  Unknown/Multiple  |     Testcase:          
Architecture:  Unknown/Multiple  |      Failure:  Other   
---------------------------------+------------------------------------------
Changes (by simonmar):

  * status:  new => merge


Comment:

 Fixed:

 {{{
 Mon May 10 10:47:41 BST 2010  Simon Marlow <marlowsd@gmail.com>
   * looksLikeModuleName: allow apostrophe in module names (#4051)
 }}}

-- 
Ticket URL: <http://hackage.haskell.org/trac/ghc/ticket/4051#comment:2>
GHC <http://www.haskell.org/ghc/>
The Glasgow Haskell Compiler




Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#580568; Package ghc6. (Sat, 15 May 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #19 received at 580568@bugs.debian.org (full text, mbox):

From: "GHC" <cvs-ghc@haskell.org>
Cc: glasgow-haskell-bugs@haskell.org
Subject: Re: [GHC] #4051: ghci :m command doesn't work with module names containing '
Date: Sat, 15 May 2010 14:09:57 -0000
#4051: ghci :m command doesn't work with module names containing '
-----------------------+----------------------------------------------------
  Reporter:  nomeata   |          Owner:  simonmar        
      Type:  bug       |         Status:  closed          
  Priority:  normal    |      Milestone:  6.12.3          
 Component:  Compiler  |        Version:  6.12.1          
Resolution:  fixed     |       Keywords:                  
Difficulty:            |             Os:  Unknown/Multiple
  Testcase:            |   Architecture:  Unknown/Multiple
   Failure:  Other     |  
-----------------------+----------------------------------------------------
Changes (by igloo):

  * status:  merge => closed
  * resolution:  => fixed


Comment:

 Merged

-- 
Ticket URL: <http://hackage.haskell.org/trac/ghc/ticket/4051#comment:3>
GHC <http://www.haskell.org/ghc/>
The Glasgow Haskell Compiler




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 17 May 2010 16:37:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Wed, 21 Jul 2010 10:06:12 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Wed, 21 Jul 2010 10:06:12 GMT) Full text and rfc822 format available.

Message #28 received at 580568-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 580568-close@bugs.debian.org
Subject: Bug#580568: fixed in ghc6 6.12.3-1
Date: Wed, 21 Jul 2010 10:04:24 +0000
Source: ghc6
Source-Version: 6.12.3-1

We believe that the bug you reported is fixed in the latest version of
ghc6, which is due to be installed in the Debian FTP archive:

ghc6-doc_6.12.3-1_all.deb
  to main/g/ghc6/ghc6-doc_6.12.3-1_all.deb
ghc6-dynamic_6.12.3-1_i386.deb
  to main/g/ghc6/ghc6-dynamic_6.12.3-1_i386.deb
ghc6-haddock_6.12.3-1_i386.deb
  to main/g/ghc6/ghc6-haddock_6.12.3-1_i386.deb
ghc6-prof_6.12.3-1_i386.deb
  to main/g/ghc6/ghc6-prof_6.12.3-1_i386.deb
ghc6_6.12.3-1.debian.tar.gz
  to main/g/ghc6/ghc6_6.12.3-1.debian.tar.gz
ghc6_6.12.3-1.dsc
  to main/g/ghc6/ghc6_6.12.3-1.dsc
ghc6_6.12.3-1_i386.deb
  to main/g/ghc6/ghc6_6.12.3-1_i386.deb
ghc6_6.12.3.orig.tar.bz2
  to main/g/ghc6/ghc6_6.12.3.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated ghc6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Jul 2010 19:19:20 +0300
Source: ghc6
Binary: ghc6 ghc6-prof ghc6-doc ghc6-dynamic ghc6-haddock
Architecture: source all i386
Version: 6.12.3-1
Distribution: experimental
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 ghc6       - GHC - the Glasgow Haskell Compilation system
 ghc6-doc   - Documentation for the Glasgow Haskell Compilation system
 ghc6-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc6-haddock - Documentation tool for annotated Haskell source code
 ghc6-prof  - Profiling libraries for the Glasgow Haskell Compilation system
Closes: 553332 571537 578321 578679 580568
Changes: 
 ghc6 (6.12.3-1) experimental; urgency=low
 .
   * New upstream release
     * ghci :m now works with module names containing ' (Closes: #580568)
   * Put haddock and the shared libraries into their own packages.
     (Closes: #571537)
   * Only insert packages in gen_contents_index which are both registered
     and for which the html directory exists.
   * Use ghc-pkg --global in ghc6's trigger to avoid accessing HOME.
     (Closes: #578679)
   * Fix directories in haddock manpage.  (Closes: #578321)
   * Apply some patches from Gentoo (thanks, Sergei Trofimovich) hopefully
     fixing ia64 build.
   * Downgrade ghc6's dependency on perl to Suggests and have ghc6-doc
     depend on perl.  (Closes: #553332)
   * Standards-Version 3.9.0 (no changes necessary)
   * ghc6 package now provides ghc6-ghci on architectures where it's
     supported (i386 and amd64 only currently).
Checksums-Sha1: 
 afe845c5436fa154cd33cf7ad9a6aac915497238 1262 ghc6_6.12.3-1.dsc
 d811be2131d4403ea452aa94fe71edd1b6bd0a79 26592939 ghc6_6.12.3.orig.tar.bz2
 e6b7bcb427a2353b32f17738c1ba3bd2c673df49 47828 ghc6_6.12.3-1.debian.tar.gz
 7b646ff4138c6b8ea58ddda341e06c728596dd4c 8342064 ghc6-doc_6.12.3-1_all.deb
 3455ee074eb0a0d92b9ee3f1dce0095c388a2439 43560480 ghc6_6.12.3-1_i386.deb
 61cdb8a30abaa50c24842a23f065e22bbafe78bc 35293516 ghc6-prof_6.12.3-1_i386.deb
 26fe751c7bdd34580007f4dc16d47e3aae86719b 16514410 ghc6-dynamic_6.12.3-1_i386.deb
 34b8721eaa0a631bf10d14c2ebcec0b34885fdc0 4656200 ghc6-haddock_6.12.3-1_i386.deb
Checksums-Sha256: 
 0d1d5a690236c41b8fad1b1e1ce16b7d66ffeec62835e0cf3c3426395af5446b 1262 ghc6_6.12.3-1.dsc
 6cbdbe415011f2c7d15e4d850758d8d393f70617b88cb3237d2c602bb60e5e68 26592939 ghc6_6.12.3.orig.tar.bz2
 ba3cf7a5c1d26d93e87a0e21771a73447a43a1f5386566f1bd029a91ba7660ac 47828 ghc6_6.12.3-1.debian.tar.gz
 2a7f9228e15435f660af5dabeb1a4c918af8045008e64d34050138957c839453 8342064 ghc6-doc_6.12.3-1_all.deb
 18793801cf42423a4773b612dfdc7ff3afc3ce19d4fab046b67a5e1830fe4f26 43560480 ghc6_6.12.3-1_i386.deb
 ee03b98d3b521de3a6688e4cff055b09da990fbd1f73d548368ce81f9e927723 35293516 ghc6-prof_6.12.3-1_i386.deb
 19fadd44ca8cbaab8238348321de4c37ffae9d7a15faf4c9ff2a913f8c6d99c5 16514410 ghc6-dynamic_6.12.3-1_i386.deb
 29a1263269bd71af23cd5e32efe000e646af2231b6d5d343e6bd77278abc269e 4656200 ghc6-haddock_6.12.3-1_i386.deb
Files: 
 e14b4f56470b191117bef7e1fbc6adc2 1262 haskell optional ghc6_6.12.3-1.dsc
 4c2663c2eff833d7b9f39ef770eefbd6 26592939 haskell optional ghc6_6.12.3.orig.tar.bz2
 b96c5ae25f0a6e1fad007ec3f9575538 47828 haskell optional ghc6_6.12.3-1.debian.tar.gz
 579a865cc2dbcf25fb632c9e5ed64d12 8342064 doc optional ghc6-doc_6.12.3-1_all.deb
 dacaae0ec1aaf1657275a9c9d4638add 43560480 haskell optional ghc6_6.12.3-1_i386.deb
 1b8dc8ebd47002f9c405a8165ad9ce58 35293516 haskell optional ghc6-prof_6.12.3-1_i386.deb
 07c10e637c6e22f0ff961bb7fc591a97 16514410 haskell optional ghc6-dynamic_6.12.3-1_i386.deb
 d4bc20244a5d8e27b768352b97b0dbc6 4656200 haskell optional ghc6-haddock_6.12.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxF18oACgkQeYl9593Atw2PnQCfZ9suLmsnGDWX9fDzyQ6317tk
m9AAnRamJan/fKmUJVaJ7GNpTejJ4pZL
=p4fp
-----END PGP SIGNATURE-----





Bug reassigned from package 'ghc6' to 'ghc'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:26 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ghc6/6.12.1-13. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:27 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions ghc6/6.12.3-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Apr 2011 07:34:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:49:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.